Subject: [OPSAWG] Lars Eggert's No Objection on draft-ietf-opsawg-ntf-10: (with COMMENT)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Mon, 29 Nov 2021 07:09:33 -0800

Lars Eggert has entered the following ballot position for
draft-ietf-opsawg-ntf-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-ntf/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Found terminology that should be reviewed for inclusivity; see
https://www.rfc-editor.org/part2/#inclusive_language for background and more
guidance:

 * Term "his"; alternatives might be "they", "them", "their".

 * Term "traditional"; alternatives might be "classic", "classical",
   "common", "conventional", "customary", "fixed", "habitual", "historic",
   "long-established", "popular", "prescribed", "regular", "rooted",
   "time-honored", "universal", "widely used", "widespread".

Thanks to Gyan S. Mishra for their General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/ItkS25VOVfDg8eLogFDMCtpeoFM).

-------------------------------------------------------------------------------
All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

Section 3.2. , paragraph 4, nit:
> ic manipulation. In some cases, micro-bursts need to be detected in a very sh
>                                 ^^^^^^^^^^^^
This word is normally spelled as one.

Section 3.2. , paragraph 6, nit:
> ant to be warned of issues in advance so proactive actions can be taken to av
>                                      ^^^
Use a comma before "so" if it connects two independent clauses (unless they are
closely connected and short).

Section 4.1. , paragraph 3, nit:
> lso be implemented over TCP and SCTP but that is not recommended for forward
>                                     ^^^^
Use a comma before "but" if it connects two independent clauses (unless they
are closely connected and short).

Section 10. , paragraph 19, nit:
> P/2 [RFC7540] based open-source micro-service communication framework. It pro
>                                 ^^^^^^^^^^^^^
This word is normally spelled as one.

"A.3.1. ", paragraph 2, nit:
> pected movement makes it fascinating and many people connect to sites that a
>                                     ^^^^
Use a comma before "and" if it connects two independent clauses (unless they
are closely connected and short).

"A.3.1. ", paragraph 3, nit:
> ent can be affected by such situation so their management solutions should be
>                                      ^^^
Use a comma before "so" if it connects two independent clauses (unless they are
closely connected and short).

Document references draft-ietf-ippm-multipoint-alt-mark, but that has been
published as RFC8889.

Document references draft-song-ippm-postcard-based-telemetry-10, but -11 is the
latest available revision.

Document references draft-ietf-grow-bmp-adj-rib-out, but that has been
published as RFC8671.

---

From: Haoyu Song <[email-masked]>
Date: Mon, 29 Nov 2021 23:06:56 +0000

Hi Lars,

Thank you very much for the review! All the issues listed below have been addressed and will be reflected in the newer revision. 

Best regards,
Haoyu

-----Original Message-----
From: Lars Eggert via Datatracker <[email-masked]> 
Sent: Monday, November 29, 2021 7:10 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Lars Eggert's No Objection on draft-ietf-opsawg-ntf-10: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fblog%2Fhandling-iesg-ballot-positions%2F&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C8ceb85ad7c1a423a6f7908d9b34a413d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637737953776498295%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=5FZTQQySXzyfwL45FOc%2FoGEBKuGepPFJ3mIxRu8oSG8%3D&amp;reserved=0
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-opsawg-ntf%2F&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C8ceb85ad7c1a423a6f7908d9b34a413d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637737953776498295%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=p%2BitJcpqnfG1ruKNUDp0S7wfb%2BmiUZqZcf%2BuFO%2FSR0k%3D&amp;reserved=0

Found terminology that should be reviewed for inclusivity; see
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-editor.org%2Fpart2%2F%23inclusive_language&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C8ceb85ad7c1a423a6f7908d9b34a413d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637737953776498295%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=zphocVEFagdg%2BamrqYhhaqKKcrUxCv7lYKxUy393T3E%3D&amp;reserved=0 for background and more
guidance:

Thanks to Gyan S. Mishra for their General Area Review Team (Gen-ART) review (https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Fgen-art%2FItkS25VOVfDg8eLogFDMCtpeoFM&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C8ceb85ad7c1a423a6f7908d9b34a413d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637737953776498295%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=ftmKsfeQdDLSDKZyvguNWHl%2BgaKMcJTkJK20HJwmjGc%3D&amp;reserved=0).

-------------------------------------------------------------------------------
All comments below are about very minor potential issues that you may choose to address in some way - or ignore - as you see fit. Some were flagged by automated tools (via https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2Flarseggert%2Fietf-reviewtool&amp;data=04%7C01%7Chaoyu.song%40futurewei.com%7C8ceb85ad7c1a423a6f7908d9b34a413d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637737953776498295%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=5yEFMuoKYs1PBKdhb8JyeCf8Ya7izYDwh%2BFfhzW5BlQ%3D&amp;reserved=0), so there will likely be some false positives. There is no need to let me know what you did with these suggestions.

> ant to be warned of issues in advance so proactive actions can be taken to av
Use a comma before "so" if it connects two independent clauses (unless they are closely connected and short).

> lso be implemented over TCP and SCTP but that is not recommended for forward
Use a comma before "but" if it connects two independent clauses (unless they are closely connected and short).

> pected movement makes it fascinating and many people connect to sites that a
Use a comma before "and" if it connects two independent clauses (unless they are closely connected and short).

> ent can be affected by such situation so their management solutions should be
Use a comma before "so" if it connects two independent clauses (unless they are closely connected and short).

Document references draft-ietf-ippm-multipoint-alt-mark, but that has been published as RFC8889.

Document references draft-song-ippm-postcard-based-telemetry-10, but -11 is the latest available revision.

Document references draft-ietf-grow-bmp-adj-rib-out, but that has been published as RFC8671.